/*####################################################################
 FILE: pca9635.h
 VERSION: 1.0
 PURPOSE: I2C Circular LED Bar library for Arduino

 HISTORY:
 Mirko Prosseda - Original version (23/10/2013)
#######################################################################*/


#ifndef pca9635_h
#define pca9635_h

#include "Arduino.h"

#define address 0b1100000
//#define ALLCALLADR 0b1110000
//#define SUBADR1 0b1110001
//#define SUBADR2 0b1110010
//#define SUBADR3 0b1110100
//#define SWRST 0b11
#define MODE1 0x00
#define MODE2 0x01
#define PWM0 0x02
#define PWM1 0x03
#define PWM2 0x04
#define PWM3 0x05
#define PWM4 0x06
#define PWM5 0x07
#define PWM6 0x08
#define PWM7 0x09
#define PWM8 0x0A
#define PWM9 0x0B
#define PWM10 0x0C
#define PWM11 0x0D
#define PWM12 0x0E
#define PWM13 0x0F
#define PWM14 0x10
#define PWM15 0x11
#define LEDOUT0 0x14
#define LEDOUT1 0x15
#define LEDOUT2 0x16
#define LEDOUT3 0x17

#define OEpin 2


class pca9635
{
private:
    uint8_t getRegister(uint8_t reg);                 // return the value of the specified register
    void setRegister(uint8_t reg, uint8_t value);     // write a byte in the specified register
public:
    void initialize();                                // setup PCA9635 controller
    void setBrightness(uint8_t ch, uint8_t value);    // set pwm value for the specified led
};
#endif
